<?xml version="1.0" encoding="utf-8"?>
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <!-- INTEGIX by Ez-XBRL -->
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel"/>
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel"/>
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_AdjustmentsForGainLossFromSalesOfAssets" xlink:label="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_1"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_AdjustmentsForGainLossFromSalesOfAssets" xlink:label="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_2"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_AdjustmentsForGainLossFromSalesOfAssets" xlink:label="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_3"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_ComprehensiveIncomePerShare" xlink:label="loc_arefo_ComprehensiveIncomePerShare_4"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_ComprehensiveIncomePerShare" xlink:label="loc_arefo_ComprehensiveIncomePerShare_5"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_CurrentInterestAndExRateSwap" xlink:label="loc_arefo_CurrentInterestAndExRateSwap_6"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_CurrentInterestAndExRateSwap" xlink:label="loc_arefo_CurrentInterestAndExRateSwap_7"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_GainLossFromSaleOfSharesInSubsidiaries" xlink:label="loc_arefo_GainLossFromSaleOfSharesInSubsidiaries_8"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_GainLossFromSaleOfSharesInSubsidiaries" xlink:label="loc_arefo_GainLossFromSaleOfSharesInSubsidiaries_9"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests" xlink:label="loc_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_10"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests" xlink:label="loc_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_11"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities" xlink:label="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_12"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities" xlink:label="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_13"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities" xlink:label="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_14"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities" xlink:label="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_15"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities" xlink:label="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_16"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherComprehensiveIncomeFromDiscontinuedOperations" xlink:label="loc_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_17"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherComprehensiveIncomeFromDiscontinuedOperations" xlink:label="loc_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_18"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherCreditFacilities" xlink:label="loc_arefo_OtherCreditFacilities_19"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherCreditFacilities" xlink:label="loc_arefo_OtherCreditFacilities_20"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherReservesOfEntity" xlink:label="loc_arefo_OtherReservesOfEntity_21"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherReservesOfEntity" xlink:label="loc_arefo_OtherReservesOfEntity_22"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_OtherReservesOfEntity" xlink:label="loc_arefo_OtherReservesOfEntity_23"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PaymentOfInterestAndCurrencySwap" xlink:label="loc_arefo_PaymentOfInterestAndCurrencySwap_24"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PaymentOfInterestAndCurrencySwap" xlink:label="loc_arefo_PaymentOfInterestAndCurrencySwap_25"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PaymentOfInterestAndCurrencySwap" xlink:label="loc_arefo_PaymentOfInterestAndCurrencySwap_26"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PaymentToProceedsFromEntitysOwnShares" xlink:label="loc_arefo_PaymentToProceedsFromEntitysOwnShares_27"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PaymentToProceedsFromEntitysOwnShares" xlink:label="loc_arefo_PaymentToProceedsFromEntitysOwnShares_28"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_ProfitLossInStockholdersEquity" xlink:label="loc_arefo_ProfitLossInStockholdersEquity_29"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_ProfitLossInStockholdersEquity" xlink:label="loc_arefo_ProfitLossInStockholdersEquity_30"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PurchaseOfNonControllingInterests" xlink:label="loc_arefo_PurchaseOfNonControllingInterests_31"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PurchaseOfNonControllingInterests" xlink:label="loc_arefo_PurchaseOfNonControllingInterests_32"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_PurchaseOfNonControllingInterests" xlink:label="loc_arefo_PurchaseOfNonControllingInterests_33"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_RealizationOfFinancialAssetAtFairValueThroughOci" xlink:label="loc_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_34"/>
    <loc xlink:type="locator" xlink:href="5967007LIEEXZXG4U097-2022-12-31.xsd#arefo_RealizationOfFinancialAssetAtFairValueThroughOci" xlink:label="loc_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_35"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset" xlink:label="loc_ifrs-full_ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset_36"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForFinanceIncomeCost" xlink:label="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_37"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates" xlink:label="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates_38"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="loc_ifrs-full_Assets_39"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="loc_ifrs-full_BasicEarningsLossPerShare_40"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents_41"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="loc_ifrs-full_CashAndCashEquivalents_42"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_43"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_44"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_45"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_46"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="loc_ifrs-full_ComprehensiveIncome_47"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="loc_ifrs-full_CurrentAssets_48"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="loc_ifrs-full_CurrentLiabilities_49"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="loc_ifrs-full_DilutedEarningsLossPerShare_50"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaid" xlink:label="loc_ifrs-full_DividendsPaid_51"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_52"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_53"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_54"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="loc_ifrs-full_Equity_55"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="loc_ifrs-full_EquityAndLiabilities_56"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="loc_ifrs-full_EquityAttributableToOwnersOfParent_57"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="loc_ifrs-full_FinanceIncomeCost_58"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_59"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_60"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_61"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_62"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="loc_ifrs-full_NoncurrentAssets_63"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="loc_ifrs-full_NoncurrentLiabilities_64"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="loc_ifrs-full_OperatingExpense_65"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="loc_ifrs-full_OtherComprehensiveIncome_66"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_67"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_68"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_69"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="loc_ifrs-full_ProfitLoss_70"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="loc_ifrs-full_ProfitLossBeforeTax_71"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_72"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="loc_ifrs-full_ProfitLossFromContinuingOperations_73"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="loc_ifrs-full_ProfitLossFromOperatingActivities_74"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfAvailableforsaleFinancialAssets" xlink:label="loc_ifrs-full_PurchaseOfAvailableforsaleFinancialAssets_75"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfInterestsInAssociates" xlink:label="loc_ifrs-full_PurchaseOfInterestsInAssociates_76"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_77"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_78"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfNoncurrentBorrowings" xlink:label="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_79"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Revenue" xlink:label="loc_ifrs-full_Revenue_80"/>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TreasuryShares" xlink:label="loc_ifrs-full_TreasuryShares_81"/>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_0" xml:lang="en">Adjustments for gain/loss from sales of assets.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_1" xml:lang="en">Adjustments for Gain Loss from sales of assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_2" xml:lang="en">Adjustments For Gain Loss From Sales Of Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_ComprehensiveIncomePerShare_0" xml:lang="en">Represents comprehensive income per share.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_ComprehensiveIncomePerShare_1" xml:lang="en">Comprehensive Income Per Share</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_CurrentInterestAndExRateSwap_0" xml:lang="en">Represents Current interest and ex rate swap liabilities.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_CurrentInterestAndExRateSwap_1" xml:lang="en">Current Interest And Ex Rate Swap</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_GainLossFromSaleOfSharesInSubsidiaries_0" xml:lang="en">Gain (loss) from sale of shares insubsidiaries.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_GainLossFromSaleOfSharesInSubsidiaries_1" xml:lang="en">Gain (Loss) From Sale Of Shares In Subsidiaries</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_0" xml:lang="en">Represents the increase decrease through transactions with non-controlling interests.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_1" xml:lang="en">Increase Decrease Through Transactions With Non Controlling Interests</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_0" xml:lang="en">The cash inflow (outflow) for interest paid and foreign exchange losses, classified as financing activities.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_1" xml:lang="en">Interest paid and realized FX losses</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:label="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_2" xml:lang="en">Interest paid</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_3" xml:lang="en">Interest Paid And Realized Foreign Exchange Losses Classified As Financing Activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:label="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_4" xml:lang="en">Interest paid and realized FX losses</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_0" xml:lang="en">Represents other comprehensive income from discontinued operations.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_1" xml:lang="en">Other Comprehensive Income From Discontinued Operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_OtherCreditFacilities_0" xml:lang="en">Represents the amount of other credit facilities.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_OtherCreditFacilities_1" xml:lang="en">Other Credit Facilities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_OtherReservesOfEntity_0" xml:lang="en">Represents other reserves of entity.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_arefo_OtherReservesOfEntity_1" xml:lang="en">Other reserves</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_OtherReservesOfEntity_2" xml:lang="en">Other Reserves Of Entity</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_PaymentOfInterestAndCurrencySwap_0" xml:lang="en">Represents payment of interest and currency swap.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_arefo_PaymentOfInterestAndCurrencySwap_1" xml:lang="en">Payment of interest and currency swap</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_PaymentOfInterestAndCurrencySwap_2" xml:lang="en">Payment Of Interest And Currency Swap</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_PaymentToProceedsFromEntitysOwnShares_0" xml:lang="en">Represents to payment to or proceeds from entity's own shares.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_PaymentToProceedsFromEntitysOwnShares_1" xml:lang="en">Payment To Proceeds From Entitys Own Shares</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_ProfitLossInStockholdersEquity_0" xml:lang="en">Represents profit and loss as reported in stockholder's equity statement.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_ProfitLossInStockholdersEquity_1" xml:lang="en">Profit (Loss) In Stockholders Equity</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_PurchaseOfNonControllingInterests_0" xml:lang="en">The cash outflow for the purchase of non controlling intrests.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_arefo_PurchaseOfNonControllingInterests_1" xml:lang="en">Purchase of non-controlling Interests</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_PurchaseOfNonControllingInterests_2" xml:lang="en">Purchase Of Non Controlling Interests</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_0" xml:lang="en">Realization of financial asset atfair value through OCI.</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_1" xml:lang="en">Realization Of Financial Asset At Fair Value Through Oci</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset_0" xml:lang="en">Actuarial gains and Losses</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_AdjustmentsForFinanceIncomeCost_0" xml:lang="en">Adjustments for finance income (cost)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates_0" xml:lang="en">Adjustments for undistributed profits of associates</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_Assets_0" xml:lang="en">Total assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:label="lab_ifrs-full_BasicEarningsLossPerShare_0" xml:lang="en">Basic earnings per share (NOK)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="lab_ifrs-full_CashAndCashEquivalents_0" xml:lang="en">Cash and cash equivalents at end of period</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="lab_ifrs-full_CashAndCashEquivalents_1" xml:lang="en">Cash and cash equivalents at beginning of period</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0" xml:lang="en">Net cash from financing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0" xml:lang="en">Net cash from investing activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0" xml:lang="en">Net cash from operating activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0" xml:lang="en">Purchase of shares in subsidiaries (reduced by cash balance)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_ComprehensiveIncome_0" xml:lang="en">Total comprehensive income</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CurrentAssets_0" xml:lang="en">Total current assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CurrentLiabilities_0" xml:lang="en">Total current liabilities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_ifrs-full_DilutedEarningsLossPerShare_0" xml:lang="en">Diluted earnings per share (NOK)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsPaid_0" xml:lang="en">Dividend paid</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_0" xml:lang="en">Dividend paid</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="lab_ifrs-full_Equity_0" xml:lang="en">Equity at end of period</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="lab_ifrs-full_Equity_1" xml:lang="en">Equity at beginning of period</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_Equity_2" xml:lang="en">Total equity</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_EquityAndLiabilities_0" xml:lang="en">Total equity and liabilities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_EquityAttributableToOwnersOfParent_0" xml:lang="en">Total equity attributable to owners of parent</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_FinanceIncomeCost_0" xml:lang="en">Finance income (cost)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0" xml:lang="en">Income tax relating to components of other comprehensive income that will be reclassified to profit or loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_0" xml:lang="en">Income tax relating to components of other comprehensive income that will not be reclassified to profit or loss</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0" xml:lang="en">Cash Flow</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities_0" xml:lang="en">Interest paid</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_NoncurrentAssets_0" xml:lang="en">Total non-current assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_NoncurrentLiabilities_0" xml:lang="en">Total non-current liabilities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_OperatingExpense_0" xml:lang="en">Operating expense</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_OtherComprehensiveIncome_0" xml:lang="en">Total other comprehensive income</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0" xml:lang="en">Total other comprehensive income that will be reclassified to profit or loss, net of tax</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0" xml:lang="en">Total other comprehensive income that will not be reclassified to profit or loss, net of tax</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_ProfitLoss_0" xml:lang="en">Profit (loss)</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:label="lab_ifrs-full_ProfitLoss_1" xml:lang="en">Total</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_ProfitLossBeforeTax_0" xml:lang="en">Profit (loss) before tax</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_ProfitLossFromContinuingOperations_0" xml:lang="en">Profit (loss) from continuing operations</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:label="lab_ifrs-full_ProfitLossFromContinuingOperations_1" xml:lang="en">Total</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_ProfitLossFromOperatingActivities_0" xml:lang="en">Profit (loss) from operating activities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfAvailableforsaleFinancialAssets_0" xml:lang="en">Purchase of available-for-sale financial assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfInterestsInAssociates_0" xml:lang="en">Purchase of interests in associates</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_0" xml:lang="en">Purchase of investments other than investments accounted for using equity method</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_0" xml:lang="en">Purchase of PPE and intangible assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_RepaymentsOfNoncurrentBorrowings_0" xml:lang="en">Repayments of non-current borrowings</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_Revenue_0" xml:lang="en">Total revenue</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_TreasuryShares_0" xml:lang="en">Treasury shares</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_1" xlink:to="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_2" xlink:to="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_AdjustmentsForGainLossFromSalesOfAssets_3" xlink:to="lab_arefo_AdjustmentsForGainLossFromSalesOfAssets_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_ComprehensiveIncomePerShare_4" xlink:to="lab_arefo_ComprehensiveIncomePerShare_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_ComprehensiveIncomePerShare_5" xlink:to="lab_arefo_ComprehensiveIncomePerShare_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_CurrentInterestAndExRateSwap_6" xlink:to="lab_arefo_CurrentInterestAndExRateSwap_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_CurrentInterestAndExRateSwap_7" xlink:to="lab_arefo_CurrentInterestAndExRateSwap_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_GainLossFromSaleOfSharesInSubsidiaries_8" xlink:to="lab_arefo_GainLossFromSaleOfSharesInSubsidiaries_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_GainLossFromSaleOfSharesInSubsidiaries_9" xlink:to="lab_arefo_GainLossFromSaleOfSharesInSubsidiaries_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_10" xlink:to="lab_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_11" xlink:to="lab_arefo_IncreaseDecreaseThroughTransactionsWithNonControllingInterests_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_12" xlink:to="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_13" xlink:to="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_14" xlink:to="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_15" xlink:to="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_3"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_16" xlink:to="lab_arefo_InterestPaidAndRealizedForeignExchangeLossesClassifiedAsFinancingActivities_4"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_17" xlink:to="lab_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_18" xlink:to="lab_arefo_OtherComprehensiveIncomeFromDiscontinuedOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherCreditFacilities_19" xlink:to="lab_arefo_OtherCreditFacilities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherCreditFacilities_20" xlink:to="lab_arefo_OtherCreditFacilities_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherReservesOfEntity_21" xlink:to="lab_arefo_OtherReservesOfEntity_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherReservesOfEntity_22" xlink:to="lab_arefo_OtherReservesOfEntity_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_OtherReservesOfEntity_23" xlink:to="lab_arefo_OtherReservesOfEntity_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PaymentOfInterestAndCurrencySwap_24" xlink:to="lab_arefo_PaymentOfInterestAndCurrencySwap_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PaymentOfInterestAndCurrencySwap_25" xlink:to="lab_arefo_PaymentOfInterestAndCurrencySwap_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PaymentOfInterestAndCurrencySwap_26" xlink:to="lab_arefo_PaymentOfInterestAndCurrencySwap_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PaymentToProceedsFromEntitysOwnShares_27" xlink:to="lab_arefo_PaymentToProceedsFromEntitysOwnShares_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PaymentToProceedsFromEntitysOwnShares_28" xlink:to="lab_arefo_PaymentToProceedsFromEntitysOwnShares_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_ProfitLossInStockholdersEquity_29" xlink:to="lab_arefo_ProfitLossInStockholdersEquity_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_ProfitLossInStockholdersEquity_30" xlink:to="lab_arefo_ProfitLossInStockholdersEquity_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PurchaseOfNonControllingInterests_31" xlink:to="lab_arefo_PurchaseOfNonControllingInterests_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PurchaseOfNonControllingInterests_32" xlink:to="lab_arefo_PurchaseOfNonControllingInterests_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_PurchaseOfNonControllingInterests_33" xlink:to="lab_arefo_PurchaseOfNonControllingInterests_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_34" xlink:to="lab_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_35" xlink:to="lab_arefo_RealizationOfFinancialAssetAtFairValueThroughOci_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset_36" xlink:to="lab_ifrs-full_ActuarialGainsLossesArisingFromExperienceAdjustmentsNetDefinedBenefitLiabilityAsset_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForFinanceIncomeCost_37" xlink:to="lab_ifrs-full_AdjustmentsForFinanceIncomeCost_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates_38" xlink:to="lab_ifrs-full_AdjustmentsForUndistributedProfitsOfAssociates_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Assets_39" xlink:to="lab_ifrs-full_Assets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_BasicEarningsLossPerShare_40" xlink:to="lab_ifrs-full_BasicEarningsLossPerShare_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalents_41" xlink:to="lab_ifrs-full_CashAndCashEquivalents_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalents_42" xlink:to="lab_ifrs-full_CashAndCashEquivalents_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities_43" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities_44" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities_45" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_46" xlink:to="lab_ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ComprehensiveIncome_47" xlink:to="lab_ifrs-full_ComprehensiveIncome_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentAssets_48" xlink:to="lab_ifrs-full_CurrentAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentLiabilities_49" xlink:to="lab_ifrs-full_CurrentLiabilities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DilutedEarningsLossPerShare_50" xlink:to="lab_ifrs-full_DilutedEarningsLossPerShare_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaid_51" xlink:to="lab_ifrs-full_DividendsPaid_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_52" xlink:to="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Equity_53" xlink:to="lab_ifrs-full_Equity_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Equity_54" xlink:to="lab_ifrs-full_Equity_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Equity_55" xlink:to="lab_ifrs-full_Equity_2"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_EquityAndLiabilities_56" xlink:to="lab_ifrs-full_EquityAndLiabilities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_EquityAttributableToOwnersOfParent_57" xlink:to="lab_ifrs-full_EquityAttributableToOwnersOfParent_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost_58" xlink:to="lab_ifrs-full_FinanceIncomeCost_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_59" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_60" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLoss_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_61" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities_62" xlink:to="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NoncurrentAssets_63" xlink:to="lab_ifrs-full_NoncurrentAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_NoncurrentLiabilities_64" xlink:to="lab_ifrs-full_NoncurrentLiabilities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense_65" xlink:to="lab_ifrs-full_OperatingExpense_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncome_66" xlink:to="lab_ifrs-full_OtherComprehensiveIncome_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_67" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_68" xlink:to="lab_ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLoss_69" xlink:to="lab_ifrs-full_ProfitLoss_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLoss_70" xlink:to="lab_ifrs-full_ProfitLoss_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLossBeforeTax_71" xlink:to="lab_ifrs-full_ProfitLossBeforeTax_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_72" xlink:to="lab_ifrs-full_ProfitLossFromContinuingOperations_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLossFromContinuingOperations_73" xlink:to="lab_ifrs-full_ProfitLossFromContinuingOperations_1"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ProfitLossFromOperatingActivities_74" xlink:to="lab_ifrs-full_ProfitLossFromOperatingActivities_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfAvailableforsaleFinancialAssets_75" xlink:to="lab_ifrs-full_PurchaseOfAvailableforsaleFinancialAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfInterestsInAssociates_76" xlink:to="lab_ifrs-full_PurchaseOfInterestsInAssociates_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_77" xlink:to="lab_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_78" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfNoncurrentBorrowings_79" xlink:to="lab_ifrs-full_RepaymentsOfNoncurrentBorrowings_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_Revenue_80" xlink:to="lab_ifrs-full_Revenue_0"/>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_TreasuryShares_81" xlink:to="lab_ifrs-full_TreasuryShares_0"/>
  </labelLink>
</linkbase>